<?php
if(!isset($includefiles) OR !$includefiles)
    exit("unauthorized");

$config=array();

# === SYSTEM config === #

$config["db"]["dbhost"]="**SERVER**";
$config["db"]["dbuser"]="**USER**";
$config["db"]["dbpass"]="**PASSWORD**";
$config["db"]["dbname"]="**DATABASENAME**";
$config["db"]["dbtable"]="trimaxcontent";
$config["db"]["dbtemplate"]="trimaxtemplates";
$config["db"]["dbadmins"]="trimaxusers";

$config["role"]["0"]="disabled user";
$config["role"]["1"]="user";
$config["role"]["2"]="editor";
$config["role"]["4"]="web manager";
$config["role"]["5"]="admin";

$config["lang"]=array("NL");

$config["admin"]["uploadmaxfile"]=3000000;
$config["admin"]["uploadbasketmap"]="images/00basket";
$config["admin"]["uploadimages"]=array(
  "auto"=>array("WIDTH"=>"250","HEIGHT"=>"250","MAP"=>"images/test1"),
  "aanbod"=>array("WIDTH"=>"","HEIGHT"=>"1000","MAP"=>"images/test2"),
  "detailpagina"=>array("WIDTH"=>"1000","HEIGHT"=>"1000","MAP"=>"images/test3")
  );

$config["generalvar"]["titel"]="**TITEL WEBSITE**";

# === CRUD === # use placeholders: #dbtable #fieldname #fieldvalue #fieldlist

# TABLE triosprojecten

$config["crud"]["trimaxreleases"]["=TABLE="]=array(
  "SORT"=>"fieldname DESC",
  "FILTER"=>"",
  "PAGING"=>""
);

$config["crud"]["triosprojecten"]["id"]=array(
  "LABEL"=>"id",
  "TYPE"=>"text",
  "REQUIRED"=>0,
  "LISTORDER"=>0,
  "LISTWIDTH"=>"",
  "FORMORDER"=>0,
  "HTML"=>""
  );
$config["crud"]["triosprojecten"]["titel"]=array(
  "LABEL"=>"titel",
  "TYPE"=>"text",
  "REQUIRED"=>1,
  "LISTORDER"=>1,
  "LISTWIDTH"=>"",
  "FORMORDER"=>1,
  "HTML"=>"
  <div class='12u 12u$(xsmall)'>
  	<input type='text' name='#dbtable_#fieldname' id='#dbtable_#fieldname' value='#fieldvalue' placeholder='...' />
  </div>  
  "
  );  
$config["crud"]["triosprojecten"]["tekstklein"]=array(
  "LABEL"=>"korte tekst",
  "TYPE"=>"textarea",
  "REQUIRED"=>1,
  "LISTORDER"=>0,
  "LISTWIDTH"=>"",
  "FORMORDER"=>2,
  "HTML"=>"
  <div class='12u$'>
  	<textarea name='#dbtable_#fieldname' id='#dbtable_#fieldname' rows='6' placeholder='...'>#fieldvalue</textarea>
  </div>  
  ");
  
$config["crud"]["triosprojecten"]["tekstgroot"]=array(
  "LABEL"=>"lange tekst",
  "TYPE"=>"textarea",
  "REQUIRED"=>0,
  "LISTORDER"=>0,
  "LISTWIDTH"=>"",
  "FORMORDER"=>3,
  "HTML"=>"
  <div class='12u$'>
  	<textarea name='#dbtable_#fieldname' id='#dbtable_#fieldname' rows='6' placeholder='...'>#fieldvalue</textarea>
  </div>  
  ");
  
$config["crud"]["triosprojecten"]["urlfotoklein"]=array(
  "LABEL"=>"url kleine foto",
  "TYPE"=>"text",
  "REQUIRED"=>1,
  "LISTORDER"=>0,
  "LISTWIDTH"=>"",
  "FORMORDER"=>4,
  "HTML"=>"
  <div class='12u 12u$(xsmall)'>
  	<input type='text' name='#dbtable_#fieldname' id='#dbtable_#fieldname' value='#fieldvalue' placeholder='...' />
  </div>  
  ");
  
$config["crud"]["triosprojecten"]["urlfotogroot"]=array(
  "LABEL"=>"url grote foto",
  "TYPE"=>"text",
  "REQUIRED"=>0,
  "LISTORDER"=>0,
  "LISTWIDTH"=>"",
  "FORMORDER"=>5,
  "HTML"=>"
  <div class='12u 12u$(xsmall)'>
  	<input type='text' name='#dbtable_#fieldname' id='#dbtable_#fieldname' value='#fieldvalue' placeholder='...' />
  </div>  
  ");
  
$config["crud"]["triosprojecten"]["paginameer"]=array(
  "LABEL"=>"url meer",
  "TYPE"=>"text",
  "REQUIRED"=>0,
  "LISTORDER"=>0,
  "LISTWIDTH"=>"",
  "FORMORDER"=>6,
  "HTML"=>"
  <div class='12u 12u$(xsmall)'>
  	<input type='text' name='#dbtable_#fieldname' id='#dbtable_#fieldname' value='#fieldvalue' placeholder='...' />
  </div>  
  ");
  
$config["crud"]["triosprojecten"]["trimaxversie"]=array(
  "LABEL"=>"TRImax versie",
  "TYPE"=>"select",
  "REQUIRED"=>0,
  "LISTORDER"=>3,
  "LISTWIDTH"=>"",
  "FORMORDER"=>7,
  "HTML"=>"
  <div class='12u$'>
  	<div class='select-wrapper'>
  		<select name='#dbtable_#fieldname' id='#dbtable_#fieldname'>
  		#fieldlist
  		</select>
  	</div>
  </div>
  ",
  "FIELDLIST"=>'{"1":"TRImax 1","2":"TRImax 2","3":"TRImax 3","9":"maatwerk"}'
  );
  # "FIELDLIST"=>"SELECT volgorde,volgorde AS volgordeval FROM triosprojecten ORDER BY volgorde";

$config["crud"]["triosprojecten"]["volgorde"]=array(
  "LABEL"=>"volgorde",
  "TYPE"=>"text",
  "REQUIRED"=>1,
  "LISTORDER"=>2,
  "LISTWIDTH"=>"",
  "FORMORDER"=>8,
  "HTML"=>"
  <div class='12u 12u$(xsmall)'>
  	<input type='text' name='#dbtable_#fieldname' id='#dbtable_#fieldname' value='#fieldvalue' placeholder='...' />
  </div>
  ");
  
$config["crud"]["triosprojecten"]["submit"]=array(
  "LABEL"=>"submit",
  "TYPE"=>"submit",
  "REQUIRED"=>0,
  "LISTORDER"=>0,
  "LISTWIDTH"=>"",
  "FORMORDER"=>99,
  "HTML"=>"
  <div class='12u$'>
  	<input type='submit' value='#fieldvalue' class='special' />
  </div>
  ");

# ... CRUD layout ... #

$config["crudcss"]["tablelist"]["divclass"]="table-wrapper";
$config["crudcss"]["tablelist"]["tableclass"]="alt";
$config["crudcss"]["tableform"]["divclass"]="table-wrapper crudtable";
$config["crudcss"]["tableform"]["tableclass"]="";


# === CUSTOM config === #




